Bug 474311 - Upgrade to latest remctl requested
Upgrade to latest remctl requested
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: remctl (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 04:23 EST by Alexander Boström
Modified: 2012-05-22 11:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 11:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Boström 2008-12-03 04:23:51 EST
I'd like to request an upgrade to the latest release of remctl (2.13).

The specific problem I have with 2.11 is that it doesn't work well in cross realm situations. This is fixed in 2.12:

"remctl now uses a host-based service name for the server instead of a Kerberos principal of host/server. The practical effect of this is that domain-realm mapping rules will be applied rather than assuming the server's principal is in the local domain"
Comment 1 Bug Zapper 2009-06-09 06:05:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 08:26:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Alexander Boström 2010-04-27 11:14:44 EDT
I'm a Fedora packager now (since a couple of weeks), so I can offer to comaintain this package.
Comment 4 Steve Traylen 2011-02-02 15:42:52 EST
Hi Alexander,

 You  might want to consider starting the non-responsive maintainer.

 I have a similar though much more recent request here, bug #673472

Looking in Koji there looks to be no builds for some time:
http://koji.fedoraproject.org/koji/userinfo?userID=598

Steve.
Comment 5 Bug Zapper 2011-06-02 14:22:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Simon Wilkinson 2011-06-06 06:03:11 EDT
Sorry for the lack of attention here, I hope to get to this over the next couple of days.

Alexander: I'd be happy for you to comaintain if you are still interested.
Comment 7 Ken Dreyer 2011-11-23 20:27:40 EST
I've built and pushed 3.0 to rawhide and updates-testing for F15/F16.

Eventually I'd like to get 3.0 into EPEL 5/6, but that's going to involve more testing.
Comment 8 Fedora Update System 2012-04-26 13:18:06 EDT
remctl-3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/remctl-3.1-1.el6
Comment 9 Fedora Update System 2012-04-26 13:28:04 EDT
remctl-3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/remctl-3.1-1.el5
Comment 10 Fedora Update System 2012-04-27 02:09:31 EDT
Package remctl-3.1-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing remctl-3.1-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5671/remctl-3.1-1.el5
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-05-22 11:30:45 EDT
remctl-3.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-05-22 11:33:27 EDT
remctl-3.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.